'Enable Change Notification.vbs
'Jeff Guillet, 03/18/2009
'This script enables change notification for each site link in Active Directory, making AD replication
'for inter-site links behave like intra-site links. 
'See http://www.expta.com/2009/03/how-to-enable-change-notification-on.html

'Set up connection to Active Directory
Set con = CreateObject("ADODB.Connection")
con.Provider = "ADsDSOObject"
con.Open "DS Query"
Set command = CreateObject("ADODB.Command")
Set command.ActiveConnection = con
Command.Properties("searchscope") = 2

'Get the AD Site Link container
Set objRootDSE = GetObject("LDAP://RootDSE<UrlBlockedError.aspx>")
Set objSites = GetObject("LDAP://CN=IP,CN=Inter-Site<UrlBlockedError.aspx> Transports,CN=Sites," & objRootDSE.Get("configurationNamingContext"))

'Enable change notification for each site link
For Each objSite in objSites
 msg = msg & Mid(objSite.name, 4) & VBCRLF
 Set objSiteLink = GetObject("LDAP://" & objSite.distinguishedName)
 objSiteLink.Put "options", 1
 objSiteLink.SetInfo
Next

wscript.echo "Change Notification has been enabled for the following site links:" & VBCRLF & VBCRLF & msg